lzma_filter_encoder Struct Reference

## Data Fields

lzma_vli | id
| Filter ID. More...
lzma_init_function | init
uint64_t(* | memusage )(const void *options)
uint64_t(* | block_size )(const void *options)
lzma_ret(* | props_size_get )(uint32_t *size, const void *options)
uint32_t | props_size_fixed
lzma_ret(* | props_encode )(const void *options, uint8_t *out)

## Field Documentation

## id

lzma_vli lzma_filter_encoder::id

Filter ID.

## init

lzma_init_function lzma_filter_encoder::init

Initializes the filter encoder and calls lzma_next_filter_init() for filters + 1.

## memusage

uint64_t(* lzma_filter_encoder::memusage) (const void *options)

Calculates memory usage of the encoder. If the options are invalid, UINT64_MAX is returned.

## block_size

uint64_t(* lzma_filter_encoder::block_size) (const void *options)

Calculates the recommended Uncompressed Size for .xz Blocks to which the input data can be split to make multithreaded encoding possible. If this is NULL, it is assumed that the encoder is fast enough with single thread.

## props_size_get

lzma_ret(* lzma_filter_encoder::props_size_get) (uint32_t *size, const void *options)

Tells the size of the Filter Properties field. If options are invalid, UINT32_MAX is returned. If this is NULL, props_size_fixed is used.

## props_encode

lzma_ret(* lzma_filter_encoder::props_encode) (const void *options, uint8_t *out)

Encodes Filter Properties.

Returns
  - LZMA_OK: Properties encoded successfully.
  - LZMA_OPTIONS_ERROR: Unsupported options
  - LZMA_PROG_ERROR: Invalid options or not enough output space

The documentation for this struct was generated from the following file:

- liblzma/common/filter_encoder.c